%define upstream_name Carp
%define upstream_version 1.32

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Alternative warn and die for modules
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
The Carp routines are useful in your own modules because they act like
die() or warn(), but with a message which is more likely to be useful
to a user of your module.  In the case of cluck, confess, and longmess
that context is a summary of every call in the call-stack.  For a shorter
message you can use carp or croak which report the error as being from
where your module was called.  There is no guarantee that that is where
the error was, but it is a good educated guess.

You can also alter the way the output and logic of Carp works, by changing
some global variables in the Carp namespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 534879
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 1.320.0-1.mga4
+ Revision: 479922
- imported package perl-Carp

